Subject: Re: 'jobs' builtin on beta 16
From: [email-masked] (Geoffrey Noer)

28 Oct 1996 16:55:20 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Randolph Fritz)
Original-Cc: [email-masked] (Geoffrey Noer), [email-masked]
In-Reply-To: <[email-masked]> from "Randolph Fritz" at Oct 17, 96 10:12:52 am
Original-Sender: [email-masked]

Randolph Fritz taps on the keyboard:
> 
> bash$ ps
>      PID     PPID  WIN32-PID   UID  COMMAND
>     1000     1000        466   500  n:\bin\sh.exe
>     1001     1000        424   500
>  n:\win32app\Cygnus\H-i386-cygwin32\bin\ps.exe
> 
> Do I grasp correctly that cygwin32 maintains its own process table, and a
> mapping from that table to Win32 process ids, which aren't necessarily
> monotonically increasing?

Yes.

> Is the UID the NT internal UID?  I've never actually seen it expressed
> numerically; all the NT tools show it as a user name.

Yes.  At least, this is the only number I've only seen since I use
the fat filesystem most of the time since I have to share my machine
with Windows 95.

> Does gcc-win32 compile programs with text and data segments

Yes.

> and are
> the text segments shared as part of the implementation of fork?  

Yes.

> How is
> forking of the data segments handled--is page copying delayed until write
> as in modern Unixes?

No.

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".